<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Clothing/MaskBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d27/_mask_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MaskBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d27/_mask_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/dbf/class_mask_base.html">MaskBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/db4/class_clothing.html">Clothing</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a0b1a0aacf58315cea22ef485f76ee9e6">    3</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/db4/class_clothing.html#a0b1a0aacf58315cea22ef485f76ee9e6">m_LowFilterEventTime</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#af2a87fc667fcaed989dd4a2273d62ae5">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#af2a87fc667fcaed989dd4a2273d62ae5">IsGasMask</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="comment">/*override int GetOcclusionPriority()</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">    {</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">        return 1;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a625b76688ec389d1303c7e3077f19362">   15</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a625b76688ec389d1303c7e3077f19362">GetEffectWidgetTypes</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> {EffectWidgetsTypes.MASK_OCCLUDER,EffectWidgetsTypes.MASK_BREATH};</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a54e5dbe56d43bf4d941edbdd45168cc9">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a54e5dbe56d43bf4d941edbdd45168cc9">AllowFoodConsumption</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">    override void OnWasAttached( EntityAI parent, int slot_id )</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">    {</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">        super.OnWasAttached( parent, slot_id );</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">        PlayerBase player = PlayerBase.Cast(parent);</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">    }</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">    </span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">    override void OnWasDetached( EntityAI parent, int slot_id )</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment">    {</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">        super.OnWasDetached( parent, slot_id );</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">        PlayerBase player = PlayerBase.Cast(parent);</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">    }</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">    */</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#abfe3cbe7c2440d23c0e925cb9f1e6e68">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#abfe3cbe7c2440d23c0e925cb9f1e6e68">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#a46ee7e7823f708ee45285ec153432f0b">CreateInInventory</a>( <span class="stringliteral">&quot;GasMask_Filter&quot;</span> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a38c3af932bca244a1b304166d7f8995f">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a38c3af932bca244a1b304166d7f8995f">EEItemAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        super.EEItemAttached(item, slot_name);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a115262345c45272af257426df4092377">   49</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a115262345c45272af257426df4092377">GetExternalFilter</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>(<span class="stringliteral">&quot;GasMaskFilter&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a6b399e10343ba039b7f38201d9f0c452">   55</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a6b399e10343ba039b7f38201d9f0c452">HasValidFilter</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(GetExternalFilter());</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span>(filter &amp;&amp; !filter.IsRuined() &amp;&amp; filter.GetQuantity() &gt; 0 )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>() &gt; 0 &amp;&amp; !<a class="code hl_function" href="../../dd/d93/_object_8c.html#a86cb986fccf22de3db5ff74a313bd888">IsRuined</a>())</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#afbad6f105f90a1a0a0985f65a2a5489b">   65</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#afbad6f105f90a1a0a0985f65a2a5489b">GetFilterQuantityMax</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(GetExternalFilter());</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">if</span>(filter)<span class="comment">//mask can have a filter, and filter is attached</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">return</span> filter.GetQuantityMax();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a>())<span class="comment">//filter was not attached, checking if mask has internal filter</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a575a9a3ffd1ac6029401379ddd561cfb">GetQuantityMax</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="comment">//mask does not have a filter attached nor does it have internal filter, max quantity can&#39;t be obtained</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a9dd13a681400a4e7bdc333f766d5537c">   76</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a9dd13a681400a4e7bdc333f766d5537c">GetFilterQuantity</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(GetExternalFilter());</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span>(filter)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">return</span> filter.GetQuantity();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a1eec471639b6ef1f674e19a6903b1f0a">   85</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a1eec471639b6ef1f674e19a6903b1f0a">GetFilterQuantity01</a>()</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">if</span>(!HasValidFilter())</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(GetExternalFilter());</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordtype">float</span> quantity, quantity_max;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span>(filter)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            quantity = filter.GetQuantity();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            quantity_max = filter.GetQuantityMax();</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(0, quantity_max, quantity);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            quantity = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            quantity_max = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a575a9a3ffd1ac6029401379ddd561cfb">GetQuantityMax</a>();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(0, quantity_max, quantity);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a9cb1779b3b246b857cc40f03b79df4a0">  109</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a9cb1779b3b246b857cc40f03b79df4a0">IsExternalFilterAttached</a>()</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>(<span class="stringliteral">&quot;GasMaskFilter&quot;</span>)))</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a98a0804f4340886bb0225eb116a9ebd2">  118</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a98a0804f4340886bb0225eb116a9ebd2">HasIntegratedFilter</a>()</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a>();</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a4a460e302cff94a405448fd771e2be9c">  123</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a4a460e302cff94a405448fd771e2be9c">CanHaveExternalFilter</a>()</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">return</span> !HasIntegratedFilter();</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a37e7a7df000ec31b3f333731f6b6d2e6">  128</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a37e7a7df000ec31b3f333731f6b6d2e6">ConsumeQuantity</a>(<span class="keywordtype">float</span> quantity, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> consumer_player)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>(<span class="stringliteral">&quot;GasMaskFilter&quot;</span>));</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item_to_consume = null;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span>(<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a>() &amp;&amp; <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>() &gt; 0)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            item_to_consume = <span class="keyword">this</span>;<span class="comment">//this mask itself has quantity(masks with integrated, non-attached filter)</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (filter &amp;&amp; !filter.IsDamageDestroyed() &amp;&amp; filter.GetQuantity() &gt; 0)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            item_to_consume = filter;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> (item_to_consume)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            item_to_consume.AddQuantity(-quantity);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            OnQuantityConsumed(item_to_consume, consumer_player, quantity);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#a38a81e55d960303c50ef7ac9ab49c844">  151</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#a38a81e55d960303c50ef7ac9ab49c844">OnQuantityConsumed</a>(notnull <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> consumer_player)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d8/db4/class_clothing.html#ab8b21df4dad1418f93ccb928132e922d">  156</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db4/class_clothing.html#ab8b21df4dad1418f93ccb928132e922d">OnQuantityConsumed</a>(notnull <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> filter, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> consumer_player, <span class="keywordtype">float</span> quantity)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordtype">float</span> damage = quantity * filter.GetFilterDamageRatio();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        filter.AddHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>, -damage);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>};</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a575a9a3ffd1ac6029401379ddd561cfb"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a575a9a3ffd1ac6029401379ddd561cfb">GetQuantityMax</a></div><div class="ttdeci">int GetQuantityMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01820">EntityAI.c:1820</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ab0db911d659e6c7703cd3ead16d7044b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a></div><div class="ttdeci">EntityAI FindAttachmentBySlotName(string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01508">EntityAI.c:1508</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af5d57ac8a00fab716f6983223689ba4a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a></div><div class="ttdeci">float GetQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01815">EntityAI.c:1815</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a960c07eaf333ff54378b6b9df4a7fdec"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a960c07eaf333ff54378b6b9df4a7fdec">HasQuantity</a></div><div class="ttdeci">bool HasQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08005">ItemBase.c:8005</a></div></div>
<div class="ttc" id="a_object_8c_html_a86cb986fccf22de3db5ff74a313bd888"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a86cb986fccf22de3db5ff74a313bd888">IsRuined</a></div><div class="ttdeci">bool IsRuined()</div><div class="ttdoc">Returns whether the object is ruined (0 Health).</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01029">Object.c:1029</a></div></div>
<div class="ttc" id="aclass_clothing_html"><div class="ttname"><a href="../../d8/db4/class_clothing.html">Clothing</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/de8/_alice_bag___color_base_8c_source.html#l00001">AliceBag_ColorBase.c:1</a></div></div>
<div class="ttc" id="aclass_clothing_html_a0b1a0aacf58315cea22ef485f76ee9e6"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a0b1a0aacf58315cea22ef485f76ee9e6">Clothing::m_LowFilterEventTime</a></div><div class="ttdeci">float m_LowFilterEventTime</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00003">MaskBase.c:3</a></div></div>
<div class="ttc" id="aclass_clothing_html_a115262345c45272af257426df4092377"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a115262345c45272af257426df4092377">Clothing::GetExternalFilter</a></div><div class="ttdeci">EntityAI GetExternalFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00049">MaskBase.c:49</a></div></div>
<div class="ttc" id="aclass_clothing_html_a1eec471639b6ef1f674e19a6903b1f0a"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a1eec471639b6ef1f674e19a6903b1f0a">Clothing::GetFilterQuantity01</a></div><div class="ttdeci">float GetFilterQuantity01()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00085">MaskBase.c:85</a></div></div>
<div class="ttc" id="aclass_clothing_html_a37e7a7df000ec31b3f333731f6b6d2e6"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a37e7a7df000ec31b3f333731f6b6d2e6">Clothing::ConsumeQuantity</a></div><div class="ttdeci">bool ConsumeQuantity(float quantity, PlayerBase consumer_player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00128">MaskBase.c:128</a></div></div>
<div class="ttc" id="aclass_clothing_html_a38a81e55d960303c50ef7ac9ab49c844"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a38a81e55d960303c50ef7ac9ab49c844">Clothing::OnQuantityConsumed</a></div><div class="ttdeci">void OnQuantityConsumed(notnull ItemBase filter, PlayerBase consumer_player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00151">MaskBase.c:151</a></div></div>
<div class="ttc" id="aclass_clothing_html_a38c3af932bca244a1b304166d7f8995f"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a38c3af932bca244a1b304166d7f8995f">Clothing::EEItemAttached</a></div><div class="ttdeci">override void EEItemAttached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00043">MaskBase.c:43</a></div></div>
<div class="ttc" id="aclass_clothing_html_a4a460e302cff94a405448fd771e2be9c"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a4a460e302cff94a405448fd771e2be9c">Clothing::CanHaveExternalFilter</a></div><div class="ttdeci">bool CanHaveExternalFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00123">MaskBase.c:123</a></div></div>
<div class="ttc" id="aclass_clothing_html_a54e5dbe56d43bf4d941edbdd45168cc9"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a54e5dbe56d43bf4d941edbdd45168cc9">Clothing::AllowFoodConsumption</a></div><div class="ttdeci">override bool AllowFoodConsumption()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00020">MaskBase.c:20</a></div></div>
<div class="ttc" id="aclass_clothing_html_a625b76688ec389d1303c7e3077f19362"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a625b76688ec389d1303c7e3077f19362">Clothing::GetEffectWidgetTypes</a></div><div class="ttdeci">override array&lt; int &gt; GetEffectWidgetTypes()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00015">MaskBase.c:15</a></div></div>
<div class="ttc" id="aclass_clothing_html_a6b399e10343ba039b7f38201d9f0c452"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a6b399e10343ba039b7f38201d9f0c452">Clothing::HasValidFilter</a></div><div class="ttdeci">bool HasValidFilter()</div><div class="ttdoc">has either external or integrated non-empty non-ruined filter ?</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00055">MaskBase.c:55</a></div></div>
<div class="ttc" id="aclass_clothing_html_a98a0804f4340886bb0225eb116a9ebd2"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a98a0804f4340886bb0225eb116a9ebd2">Clothing::HasIntegratedFilter</a></div><div class="ttdeci">bool HasIntegratedFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00118">MaskBase.c:118</a></div></div>
<div class="ttc" id="aclass_clothing_html_a9cb1779b3b246b857cc40f03b79df4a0"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a9cb1779b3b246b857cc40f03b79df4a0">Clothing::IsExternalFilterAttached</a></div><div class="ttdeci">bool IsExternalFilterAttached()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00109">MaskBase.c:109</a></div></div>
<div class="ttc" id="aclass_clothing_html_a9dd13a681400a4e7bdc333f766d5537c"><div class="ttname"><a href="../../d8/db4/class_clothing.html#a9dd13a681400a4e7bdc333f766d5537c">Clothing::GetFilterQuantity</a></div><div class="ttdeci">float GetFilterQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00076">MaskBase.c:76</a></div></div>
<div class="ttc" id="aclass_clothing_html_ab8b21df4dad1418f93ccb928132e922d"><div class="ttname"><a href="../../d8/db4/class_clothing.html#ab8b21df4dad1418f93ccb928132e922d">Clothing::OnQuantityConsumed</a></div><div class="ttdeci">void OnQuantityConsumed(notnull ItemBase filter, PlayerBase consumer_player, float quantity)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00156">MaskBase.c:156</a></div></div>
<div class="ttc" id="aclass_clothing_html_abfe3cbe7c2440d23c0e925cb9f1e6e68"><div class="ttname"><a href="../../d8/db4/class_clothing.html#abfe3cbe7c2440d23c0e925cb9f1e6e68">Clothing::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00038">MaskBase.c:38</a></div></div>
<div class="ttc" id="aclass_clothing_html_af2a87fc667fcaed989dd4a2273d62ae5"><div class="ttname"><a href="../../d8/db4/class_clothing.html#af2a87fc667fcaed989dd4a2273d62ae5">Clothing::IsGasMask</a></div><div class="ttdeci">override bool IsGasMask()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00005">MaskBase.c:5</a></div></div>
<div class="ttc" id="aclass_clothing_html_afbad6f105f90a1a0a0985f65a2a5489b"><div class="ttname"><a href="../../d8/db4/class_clothing.html#afbad6f105f90a1a0a0985f65a2a5489b">Clothing::GetFilterQuantityMax</a></div><div class="ttdeci">float GetFilterQuantityMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d27/_mask_base_8c_source.html#l00065">MaskBase.c:65</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_a46ee7e7823f708ee45285ec153432f0b"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#a46ee7e7823f708ee45285ec153432f0b">GameInventory::CreateInInventory</a></div><div class="ttdeci">EntityAI CreateInInventory(string type)</div><div class="ttdoc">creates entity somewhere in inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00757">Inventory.c:757</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_mask_base_html"><div class="ttname"><a href="../../d5/dbf/class_mask_base.html">MaskBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dad/_airborne_mask_8c_source.html#l00001">AirborneMask.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_6f364bf7113eb70d5b3db9a41d035223.html">Clothing</a></li><li class="navelem"><a class="el" href="../../dd/d27/_mask_base_8c.html">MaskBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
